Upstream information

CVE-2009-1252 at MITRE

Description

Stack-based buffer overflow in the crypto_recv function in ntp_crypto.c in ntpd in NTP before 4.2.4p7 and 4.2.5 before 4.2.5p74, when OpenSSL and autokey are enabled, allows remote attackers to execute arbitrary code via a crafted packet containing an extension field.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 501632 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 6
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Module for Legacy 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • ntp >= 4.2.8p13-4.6.1
Patchnames:
SUSE Linux Enterprise Module for Legacy 15 SP1 GA ntp-4.2.8p13-4.6.1
SUSE Enterprise Storage 7
SUSE Linux Enterprise High Performance Computing 15 SP2
SUSE Linux Enterprise Module for Legacy 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Manager Proxy 4.1
SUSE Manager Retail Branch Server 4.1
SUSE Manager Server 4.1
  • ntp >= 4.2.8p13-4.6.1
Patchnames:
SUSE Linux Enterprise Module for Legacy 15 SP2 GA ntp-4.2.8p13-4.6.1
SUSE Linux Enterprise Desktop 12 SP1
  • ntp >= 4.2.8p4-1.3
  • ntp-doc >= 4.2.8p4-1.3
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA ntp-4.2.8p4-1.3
SUSE Linux Enterprise Desktop 12 SP2
  • ntp >= 4.2.8p8-14.1
  • ntp-doc >= 4.2.8p8-14.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA ntp-4.2.8p8-14.1
SUSE Linux Enterprise Desktop 12 SP3
  • ntp >= 4.2.8p10-63.3
  • ntp-doc >= 4.2.8p10-63.3
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA ntp-4.2.8p10-63.3
SUSE Linux Enterprise Desktop 12 SP4
  • ntp >= 4.2.8p12-64.8.2
  • ntp-doc >= 4.2.8p12-64.8.2
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA ntp-4.2.8p12-64.8.2
SUSE Linux Enterprise Desktop 12
  • ntp >= 4.2.6p5-24.3
  • ntp-doc >= 4.2.6p5-24.3
Patchnames:
SUSE Linux Enterprise Desktop 12 GA ntp-4.2.6p5-24.3
SUSE Linux Enterprise High Performance Computing 12 SP5
  • ntp >= 4.2.8p13-85.1
  • ntp-doc >= 4.2.8p13-85.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA ntp-4.2.8p13-85.1
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Legacy 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • ntp >= 4.2.8p11-2.12
Patchnames:
SUSE Linux Enterprise Module for Legacy 15 GA ntp-4.2.8p11-2.12
SUSE Linux Enterprise Server 11 SP1
  • ntp >= 4.2.4p8-1.3.28
  • ntp-doc >= 4.2.4p8-1.3.28
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA ntp-4.2.4p8-1.3.28
SUSE Linux Enterprise Server 11 SP2
  • ntp >= 4.2.4p8-1.16.1
  • ntp-doc >= 4.2.4p8-1.16.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA ntp-4.2.4p8-1.16.1
SUSE Linux Enterprise Server 11 SP3
  • ntp >= 4.2.4p8-1.22.1
  • ntp-doc >= 4.2.4p8-1.22.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA ntp-4.2.4p8-1.20.1
SUSE Linux Enterprise Server 11 SP4
  • ntp >= 4.2.8p2-2.18
  • ntp-doc >= 4.2.8p2-2.18
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA ntp-4.2.8p2-2.18
SUSE Linux Enterprise Server 11
SUSE Linux Enterprise Server for SAP Applications 11
  • ntp >= 4.2.4p6-1.17.1
  • ntp-doc >= 4.2.4p6-1.17.1
Patchnames:
slessp0-ntp
SUSE Linux Enterprise Server 12 SP1
  • ntp >= 4.2.8p4-1.3
  • ntp-doc >= 4.2.8p4-1.3
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA ntp-4.2.8p4-1.3
SUSE Linux Enterprise Server 12 SP2
  • ntp >= 4.2.8p8-14.1
  • ntp-doc >= 4.2.8p8-14.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA ntp-4.2.8p8-14.1
SUSE Linux Enterprise Server 12 SP3
  • ntp >= 4.2.8p10-63.3
  • ntp-doc >= 4.2.8p10-63.3
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA ntp-4.2.8p10-63.3
SUSE Linux Enterprise Server 12 SP4
  • ntp >= 4.2.8p12-64.8.2
  • ntp-doc >= 4.2.8p12-64.8.2
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA ntp-4.2.8p12-64.8.2
SUSE Linux Enterprise Server 12 SP5
  • ntp >= 4.2.8p13-85.1
  • ntp-doc >= 4.2.8p13-85.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA ntp-4.2.8p13-85.1
SUSE Linux Enterprise Server 12
  • ntp >= 4.2.6p5-24.3
  • ntp-doc >= 4.2.6p5-24.3
Patchnames:
SUSE Linux Enterprise Server 12 GA ntp-4.2.6p5-24.2
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • ntp >= 4.2.8p8-14.1
  • ntp-doc >= 4.2.8p8-14.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA ntp-4.2.8p8-14.1
SUSE OpenStack Cloud 6
  • ntp >= 4.2.8p4-1.3
Patchnames:
SUSE OpenStack Cloud 6 GA ntp-4.2.8p4-1.3
openSUSE Tumbleweed
  • >=
Patchnames:
openSUSE-Tumbleweed-2024:10181


SUSE Timeline for this CVE

CVE page created: Fri Jun 28 03:11:51 2013
CVE page last modified: Sat Jun 15 17:43:17 2024